# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Polygon Class Reference

## Public Member Functions
void | addPoint (long, long)
| adds a point to the polygon. More...
| Polygon (long)
| creates a new Polygon. More...

## Detailed Description

This class describes a polygon shape, which consists in a set of points (ie (x,y) pair).

## Constructor & Destructor Documentation

## ◆ Polygon()

Polygon | ( | long | layer | ) |

creates a new Polygon.

Parameters

  layer | the layer on which the polygon is created.

## Member Function Documentation

## ◆ addPoint()

void addPoint | ( | long | x,
|  | long | y
| ) |  |

adds a point to the polygon.

Parameters

  x | the x coordinate of the point.
  y | the y coordinate of the point.

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved